import SleepyWorker from "./SleepyWorker";
declare type BarcodeFormatIn = "aztec" | "code_128" | "code_39" | "code_93" | "codabar" | "data_matrix" | "ean_13" | "ean_8" | "itf" | "pdf417" | "qr_code" | "upc_a" | "upc_e";
declare type BarcodeFormatOut = BarcodeFormatIn | "unknown";
declare type NonEmptyArray<T> = [T, ...T[]];
interface BarcodeDetectorOptions {
    formats?: NonEmptyArray<BarcodeFormatIn>;
}
interface Point2D {
    x: Number;
    y: Number;
}
interface DetectedBarcode {
    boundingBox: DOMRectReadOnly;
    rawValue: String;
    format: BarcodeFormatOut;
    cornerPoints: ReadonlyArray<Point2D>;
}
export default class BarcodeDetector {
    worker: SleepyWorker;
    workerBusy: boolean;
    constructor(barcodeDetectorOptions?: BarcodeDetectorOptions);
    getSupportedFormats(): Promise<Array<BarcodeFormatOut>>;
    detect(image: ImageBitmapSource): Promise<Array<DetectedBarcode>>;
}
export {};
